# Get all banners. GET https://app.unleash-instance.example.com/api/admin/banners **Enterprise feature** Returns a list of all configured banners. Reference: https://docs.getunleash.io/api/get-banners ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get all banners. version: endpoint_banners.getBanners paths: /api/admin/banners: get: operationId: get-banners summary: Get all banners. description: |- **Enterprise feature** Returns a list of all configured banners. tags: - - subpackage_banners parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: bannersSchema content: application/json: schema: $ref: '#/components/schemas/bannersSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} components: schemas: bannerSchema: type: object properties: id: type: integer description: >- The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one. message: type: string description: The message to display to all users. Supports markdown. enabled: type: boolean description: >- Whether the banner should be displayed currently. If not specified, defaults to true. variant: type: string description: >- The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info". sticky: type: boolean description: >- Whether the banner should be sticky on the screen. If not specified, defaults to `false`. icon: type: - string - 'null' description: >- The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If "none", no icon will be displayed. link: type: - string - 'null' description: >- The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: "https://example.com" or relative: "/admin/service-accounts"). If "dialog", will display a dialog when clicked. If not specified, no link will be displayed. linkText: type: - string - 'null' description: >- The text to display on the link. If not specified, will be displayed as "More info". dialogTitle: type: - string - 'null' description: >- The title to display on the dialog. If not specified, this will be the same as `linkText`. dialog: type: - string - 'null' description: >- The markdown to display on the dialog. If not specified, no dialog will be displayed. createdAt: type: string format: date-time description: The date and time of when the banner was created. required: - id - message - createdAt bannersSchema: type: object properties: banners: type: array items: $ref: '#/components/schemas/bannerSchema' description: A list of banners. required: - banners ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/banners" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/banners'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/banners" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/banners") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/banners") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/banners', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/banners"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/banners")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```